push_node_boundaries
Prev | More Memory Management Functions | Next

## Name

push_node_boundaries — Push node boundaries to at least the requested boundary

## Synopsis

`void __init push_node_boundaries (` | unsigned int | nid,
| unsigned long | start_pfn,
| unsigned long | end_pfn`)`;

## Arguments

`nid`

  The nid of the node to push the boundary for

`start_pfn`

  The start pfn of the node

`end_pfn`

  The end pfn of the node

## Description

In reserve-based hot-add, mem_map is allocated that is unused until hotadd time. Specifically, on x86_64, SRAT will report ranges that can potentially be hotplugged even though no physical memory exists. This function allows an arch to push out the node boundaries so mem_map is allocated that can be used later.

Prev | Up | Next
sparse_memory_present_with_active_regions | Home | get_pfn_range_for_nid